declare module 'send-ranges' {
    import {NextFunction, Request, RequestHandler} from "express";
    import {ReadStream} from "fs";
    export default function (
        fetchStream: ((req: Request) => Promise<SendRangeParams | null>),
        options: SendRangeOptions = {},
    ): RequestHandler;

    export type SendRangeOptions = {
        beforeSend?: (info, next: NextFunction) => void,
        maxRanges?: number,
    };

    export type SendRangeParams = {
        getStream: SendRangeGetStreamFn;
        type: string;
        size: number;
    };

    export type SendRangeGetStreamFn = (range: {
        start?: number;
        end?: number;
    }) => ReadStream;
}
